#ifndef LOG_HH
#define LOG_HH

#include "exceptions.hh"
#include "lohi.hh"
#include "order.hh"
#include <gmpxx.h>

namespace Interval {
    Lohi calc_log(mp_bitcnt_t precision, long p, long q, Order *);
    Lohi calc_logtwopi(mp_bitcnt_t precision, Order *);
}

#endif

