#ifndef TWOPI_HH
#define TWOPI_HH

#include "exceptions.hh"
#include "lohi.hh"
#include "order.hh"
#include <gmpxx.h>

namespace Interval {
    Lohi calc_twopi(mp_bitcnt_t precision, Order *);
    Lohi calc_sqrttwopi(mp_bitcnt_t precision, Order *);
}

#endif

