#include "../../src/twopi.hh"
#include <cassert>
//#include <iostream>
//#include <iomanip>

int main()
{
    Interval::Order order {};
    { const Interval::Lohi twopi {Interval::calc_twopi(0x10, &order)}; assert(twopi.lo() >= 0x6486e && twopi.hi() <= 0x6488f); }
    { const Interval::Lohi sqrttwopi {Interval::calc_sqrttwopi(0x10, &order)}; assert(sqrttwopi.lo() >= 0x281a2 && sqrttwopi.hi() <= 0x281c3); }
    return 0;
}

