#include "cdef.hh"
#include <cstdlib>
#include <unistd.h>
#include <libgen.h>
#include <errno.h>
#include <error.h>

int main(const int, char **const argv)
{

    if (!(clearenv() || chdir(dirname(canonicalize_file_name(argv[0])))))
      execv("../lib/exec-" PROGNAME, argv);
    error(
        EXIT_FAILURE, ENOENT, "%s",
        "the wrapper cannot start the main program"
    );
    return 1;
}

